Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Marshal_Struct Class Reference

TAO_Marshal_Struct. More...

`#include <Marshal.h>`

Inheritance diagram for TAO_Marshal_Struct:

[legend]
Collaboration diagram for TAO_Marshal_Struct:

[legend]
List of all members.

## Public Methods
| TAO_Marshal_Struct (void)
virtual TAO::traverse_status | skip (CORBA::TypeCode_ptr tc, TAO_InputCDR *context ACE_ENV_ARG_DECL)
| skip operation
virtual TAO::traverse_status | append (CORBA::TypeCode_ptr tc, TAO_InputCDR *src, TAO_OutputCDR *dest ACE_ENV_ARG_DECL)
| append operation

## Detailed Description

TAO_Marshal_Struct.

marshal a struct

## Constructor & Destructor Documentation

ACE_INLINE TAO_Marshal_Struct::TAO_Marshal_Struct | ( | void |  | ) |

## Member Function Documentation

TAO::traverse_status TAO_Marshal_Struct::append | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR * | src,
|  | TAO_OutputCDR *dest | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| append operation Implements TAO_Marshal_Object.

virtual TAO::traverse_status TAO_Marshal_Struct::skip | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR *context | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| skip operation Implements TAO_Marshal_Object.

The documentation for this class was generated from the following files:

- Marshal.h
- append.cpp
- Marshal.i